com.microfocus.awm.control

## Class TaurusActionEvent

- java.lang.Object
- - com.microfocus.awm.control.TaurusActionEvent

-     public class TaurusActionEvent
      extends java.lang.Object

  Event type that is generated before and after the execution of an `ActionDescriptor`.

  Copyright (C) Micro Focus

  Author:
    Ralf Pakosch
  See Also:
    `TaurusActionListener`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `doit` Can prevent the action from being executed if set to `false`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaurusActionEvent(IResource pResource, IAction pAction)` Creates a new `TaurusActionEvent`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IAction` | `getAction()` Gets the `IAction`.
    `IResource` | `getResource()` Gets the context resource of the action.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### doit

          public boolean doit

      Can prevent the action from being executed if set to `false`. Does nothing if the action already was executed.

  - ### Constructor Detail

    - #### TaurusActionEvent

          public TaurusActionEvent(IResource pResource,
                                   IAction pAction)

      Creates a new `TaurusActionEvent`.
      Parameters:
        `pResource` - the context resource (can be `null`)
        `pAction` - the `IAction`.

  - ### Method Detail

    - #### getResource

          public IResource getResource()

      Gets the context resource of the action.
      Returns:
        the context resource or `null` if no resource was selected or set.

    - #### getAction

          public IAction getAction()

      Gets the `IAction`.
      Returns:
        the `IAction` that is generated by the `ActionExecutor`.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2015 Micro Focus GmbH. All rights reserved.